''***************************
''* Propeller Template V1.0 *
''*  Author: Peter Quello   *
''*  Started: 18 JUN 2006   *
''*  Updated: 23 MAR 2007   *
''***************************

CON
  _clkmode      = xtal1 + pll16x
  _xinfreq      = 5_000_000

VAR
  byte  idx, value, time
OBJ
  pc    :       "serial_terminal"
  mem   :       "hitt_boot_eeprom_010"
PUB Start
  mem.init(28, 29, $00)
  pc.start
  pc.putc(12)
  pc.str(string("Hello!"))
  pause(1000)
  pc.putc(12)
  pause(1000)
  repeat
    pc.str(string("Enter time:"))
    pc.putc(13)
    time := pc.rxdec
    pc.dec(get_temp(time))
    pc.putc(13)
    pause(1000)
    pc.str(string("Enter temp:"))
    value := pc.rxdec
    set_temp(time, value)
    pc.putc(13)
        
PUB Get_Temp(_time)
  repeat idx from 0 to 48 step 2
    if sunday[ idx] == _time            ' the hour
      return sunday[idx+1]

PUB Set_Temp(_time, temp)
  repeat idx from 0 to 48 step 2
    time := sunday[idx]
    if time == _time
      sunday[++idx] := temp
      mem.writelocation(@sunday[++idx], temp)
  return
  
PRI Pause(ms) | clkcycles, milisec
  waitcnt(clkfreq / 1000 * ms + cnt)
  return

DAT
sunday  byte  0, 70, 1, 68, 2, 70, 3, 70, 4, 70, 5, 70 
        byte  6, 70, 7, 70, 8, 70, 9, 32, 10, 70, 11, 70
        byte  12, 70, 13, 68, 14, 70, 15, 70, 16, 70, 17, 70 
        byte  18, 70, 19, 80, 20, 70, 21, 70, 22, 2, 23, 70